Bug 206329 - libresolv query ids reused after fork()
Summary: libresolv query ids reused after fork()
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
(Show other bugs)
Version: 4.4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-13 18:06 UTC by Mark Plaksin
Modified: 2016-11-24 14:52 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0210
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 23:06:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0210 normal SHIPPED_LIVE glibc bug fix update 2007-04-28 17:26:43 UTC

Description Mark Plaksin 2006-09-13 18:06:12 UTC
Description of problem:
The problem described here occurs in RHEL 4.4 too:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205113

For us the problem manifests itself when sshing to our RHEL 4.4 boxes.  SSH
causes several DNS requests to be made.  Two of the requests use the same DNS
transaction ID.  Our firewall doesn't like this so it drops the second packet. 
After a 5-second timeout the request is retried, uses a different transaction
ID, and succeeds.

The user sees a 5-second delay when logging in via ssh.

Version-Release number of selected component (if applicable):
2.3.4-2.25

How reproducible:
See bug referenced above.

Comment 2 RHEL Product and Program Management 2006-09-14 22:46:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Red Hat Bugzilla 2007-05-01 23:06:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0210.html



Note You need to log in before you can comment on or make changes to this bug.